package ru.dima.weather.provider;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class WeatherProviderRegistry {

    private List<WeatherProvider> registeredWeatherProviders = new ArrayList<>();

    public void registerWeatherProvider(WeatherProvider weatherProvider) {
        registeredWeatherProviders.add(weatherProvider);
    }

    public List<WeatherProvider> getAllWeatherProviders() {
        return Collections.unmodifiableList(registeredWeatherProviders);
    }
}
