import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import ru.dima.weather.cli.CLIInputReader;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CLIInputReaderTest {
    @Test
    void testReadString() {
        String simulatedInput = "а";
        InputStream inputStream = new ByteArrayInputStream(simulatedInput.getBytes());
        CLIInputReader inputReader = new CLIInputReader(inputStream);

        String result = inputReader.readString();
        assertEquals("а", result, ":(");
    }

    
}
